MCP Tools Reference: cloudbilling.googleapis.com

Tool: list_billing_accounts

Lists all Cloud Billing accounts a user has access to.

The following code sample shows how to use curl to call the list_billing_accounts MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_billing_accounts",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for ListBillingAccounts.

ListBillingAccountsRequest

JSON representation
{
  "pageSize": integer,
  "pageToken": string,
  "filter": string,
  "parent": string
}
Fields
pageSize

integer

Requested page size. The maximum page size is 100; this is also the default.

pageToken

string

A token identifying a page of results to return. This should be a next_page_token value returned from a previous ListBillingAccounts call. If unspecified, the first page of results is returned.

filter

string

Options for how to filter the returned billing accounts. This only supports filtering for subaccounts under a single provided parent billing account. (for example, master_billing_account=billingAccounts/012345-678901-ABCDEF). Boolean algebra and other fields are not currently supported.

parent

string

Optional. The parent resource to list billing accounts from. Format: - organizations/{organization_id}, for example, organizations/12345678 - billingAccounts/{billing_account_id}, for example, billingAccounts/012345-567890-ABCDEF

Output Schema

Response message for ListBillingAccounts.

ListBillingAccountsResponse

JSON representation
{
  "billingAccounts": [
    {
      object (BillingAccount)
    }
  ],
  "nextPageToken": string
}
Fields
billingAccounts[]

object (BillingAccount)

A list of billing accounts.

nextPageToken

string

A token to retrieve the next page of results. To retrieve the next page, call ListBillingAccounts again with the page_token field set to this value. This field is empty if there are no more results to retrieve.

BillingAccount

JSON representation
{
  "name": string,
  "open": boolean,
  "displayName": string,
  "masterBillingAccount": string,
  "parent": string,
  "currencyCode": string
}
Fields
name

string

Output only. The resource name of the billing account. The resource name has the form billingAccounts/{billing_account_id}. For example, billingAccounts/012345-567890-ABCDEF would be the resource name for billing account 012345-567890-ABCDEF.

open

boolean

Output only. True if the billing account is open, and will therefore be charged for any usage on associated projects. False if the billing account is closed, and therefore projects associated with it are unable to use paid services.

displayName

string

The display name given to the billing account, such as My Billing Account. This name is displayed in the Google Cloud Console.

masterBillingAccount

string

If this account is a subaccount, then this will be the resource name of the parent billing account that it is being resold through. Otherwise this will be empty.

parent

string

Output only. The billing account's parent resource identifier. Use the MoveBillingAccount method to update the account's parent resource if it is a organization. Format: - organizations/{organization_id}, for example, organizations/12345678 - billingAccounts/{billing_account_id}, for example, billingAccounts/012345-567890-ABCDEF

currencyCode

string

Optional. The currency in which the billing account is billed and charged, represented as an ISO 4217 code such as USD.

Billing account currency is determined at the time of billing account creation and cannot be updated subsequently, so this field should not be set on update requests. In addition, a subaccount always matches the currency of its parent billing account, so this field should not be set on subaccount creation requests. Clients can read this field to determine the currency of an existing billing account.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌